*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Poppins', sans-serif;
  overflow-x: hidden !important;
  overflow-y: hidden !important;
  /* variables */
  /* sb: sombra  // cp: cuerpo // ep: elementos del cuerpo // ct: color texto  */
  --cp-color: #EEE9A1;
  --ep-color: #00171F;
  --ct-color: #AD33B8;
  --sb-box-shadow: -5px -5px 10px -4px rgba(255, 255, 255, 0.05),
               			5px 5px 15px rgba(0, 0, 0, 0.5);
}
body {
  background: var(--cp-color);
  height: 100vh;
  background: url(../img/fondo2.svg) repeat center top var(--cp-color);
}

/* -------------------- Bloque Movible -------------------- */
.wrapper {
  position: absolute;
  top: 50%;
  left: 50%;
  max-width: 28.125rem;
  width: 100%;
  background: var(--ep-color);
  box-shadow: var(--sb-box-shadow);
  border-radius: 1rem;
  transform: translate(-50%, -50%);
}
.wrapper header {
  padding: 1.063rem 1.875rem;
  border-bottom: 1px solid #540F5A;
  box-shadow: var(--sb-box-shadow);
  cursor: pointer;
}
.wrapper header.active {
  cursor: move;
  user-select: none;
}
.container-title h1 {
	font-size: 1.438rem;
  font-weight: 500;
  letter-spacing: 0.125rem;
  text-align: center;
  margin: 0rem;
  color: var(--ct-color);
}
.container-info {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 1.875rem 1.875rem 2.5rem;
}
.container-info .icon {
	display: flex;
  align-items: center;
  justify-content: center;
  height: 5.938rem;
  width: 5.938rem;
  border-radius: 50%;
  border: 0.313rem solid #000;
  box-shadow: var(--sb-box-shadow);
}
.icon img {
	background-color: #540F5A;
}
.container-info .title h2 {
  font-size: 1.813rem;
  font-weight: 500;
  letter-spacing: 0.125rem;
  margin: 0.938rem 0;
  color: #fff;
}
.container-info p {
  font-size: 1rem;
  text-align: center;
  color: #fff;
}
@media(max-width:53.125rem) {
  body {
  	display: flex;
  	align-items: center;
  	justify-content: center;
    min-height: 100vh;
    padding: 0 0.625rem;
  }
  .wrapper {
    position: relative;
    top: 0;
    left: 0;
    transform: translate(0, 0);
  }
  .wrapper:is(header,
  .container-info .icon,
  .container-info .title,
  .container-info p) {
    display: none;
  }
  .wrapper .container-info {
    padding: 1.063rem 1.25rem;
  }
}
/* -------------------- Fin - Bloque Movible -------------------- */

/*-------------------- Boton de redes sociales --------------------*/
.container-button{
  position: fixed;
  bottom: 1.25rem;
  right: 1.25rem;
}
.button-main{
  display: none;
}
.redes a, .button-secondary label, .redes input {
  display: block;
  text-decoration: none;
  background: #000;
  color: #fff;
  width: 1.875rem;
  height: 1.875rem;
  line-height: 1.875rem;
  text-align: center;
  border-radius: 50%;
  transition: all 500ms ease;
}
.redes a, .redes input{
  margin-bottom: -0.938rem;
  opacity: 0;
  visibility: hidden;
  font-size: 0.75rem;
}
.redes a:hover{
  background: #00FF2E;
  color: #000;
}
.button-main:checked~ .redes a{
  margin-bottom: 0.625rem;
  opacity: 1;
  visibility: visible;
}
/* ~ selecciona el ítem que 
esté inmediatamente después 
y todos los siguientes*/
.button-secondary label{
  cursor: pointer;
  background: #000;
  font-size: 1.25rem;
}
.button-main:checked~ .button-secondary label{
  transform: rotate(135deg);
  font-size: 1.25rem;
}
/*-------------------- Fin de Boton de redes sociales --------------------*/

/* -------------------- PopUp - Bitácora -------------------- */
.modal-container {
  position: fixed;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  width: 100vw;
  z-index: 99999;
  pointer-events: none;
  opacity: 0;  
  top: 0;
  left: 0;
  transition: opacity 0.5s ease;
  overflow: hidden;
  background-color: rgba(0, 0, 0, 0.9);
}
.show {
  pointer-events: auto;
  opacity: 1;
}
.modal {
  position: relative;
  display: flex;
  flex-direction: column;
  text-align: center;
  width: 37.5rem;
  max-width: 100%;
  padding: 1.875rem 1.875rem;
  margin: 0.625rem;
  border-radius: 0.625rem;
  background: #131319;
  box-shadow: var(--dark-box-shadow);
}
.modal h1 {
  margin: 0.125rem;
  font-weight: 500;
  letter-spacing: 0.063rem;
  color: #03a9f4;
}
.modal p {
  font-size: 0.875rem;
  text-align: justify;
  line-height: 1.375rem;
  color: #fff;
  opacity: 0.8;
  font-weight: 500;
}
.modal span {
  font-size: 0.75rem;
  color: #EC1B1B;
  margin-top: 0.125rem;
  font-weight: 900;
}
.author {
  text-align: center !important; 
  font-style: oblique; 
  font-size: 0.7rem !important;
  opacity: 0.5 !important;
}
.modal .boton-popup {
  position: absolute;
  top: 0.313rem;
  right: 0.625rem;
  padding: 10px;
  z-index: 300;
  font-size: 1.25rem;
  cursor: pointer;
  line-height: 1.875rem;
  border: 0;
  border-radius: 6.25rem;
  color: #000;
  background: #2C2C35;
  box-shadow: -5px -5px 10px rgb(255 255 255 / 5%), 5px 5px 15px rgb(0 0 0 / 50%);
}
.fa-times-circle {
	display: flex;
}
.modal .boton-popup:hover:before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  border-radius: 50%;
  background: #000;
  box-shadow: inset -3px -3px 7px #000,
              inset 3px 3px 5px #000;
  z-index: 250;
  border-radius: 6.25rem;
  opacity: 0.2;
}
/* -------------------- Fin del PopUp - Bitácora -------------------- */